# PODNAME: Config::Model::models::LCDd::imonlcd
# ABSTRACT:  Configuration class LCDd::imonlcd

=encoding utf8

=head1 NAME

Config::Model::models::LCDd::imonlcd - Configuration class LCDd::imonlcd

=head1 DESCRIPTION

Configuration classes used by L<Config::Model>

generated from LCDd.conf

=head1 Elements

=head2 Backlight

Set the backlight state I< Optional. Type boolean.  > 

=over 4

=item upstream_default value :

on

=back



=head2 Contrast

Select the displays contrast I< Optional. Type integer.  > 

=over 4

=item upstream_default value :

200

=back



=head2 Device

Select the output device to use I< Optional. Type uniline.  > 

=over 4

=item upstream_default value :

/dev/lcd0

=back



Note: Device is computed with 'C<my $l = '/dev/lcd-imon'; -e $l ? $l : '/dev/lcd0';>' and with: 

=over

=item *



=back



=head2 DiscMode

Set the disc mode 
0 => spin the "slim" disc - two disc segments,
1 => their complement spinning; I< Optional. Type enum. choice: '0', '1'.  > 

=over 4

=item upstream_default value :

0

=back



=head2 OnExit

Set the exit behavior 
0 means leave shutdown message,
1 means show the big clock,
2 means blank device. I< Optional. Type integer.  > 

=over 4

=item upstream_default value :

1

=back



=head2 Protocol

Specify which iMon protocol should be used

Choose 0 for 15c2:ffdc device,
Choose 1 for 15c2:0038 device. I< Optional. Type enum. choice: '0', '1'.  > 

=over 4

=item upstream_default value :

0

=back



Note: Protocol is computed with 'C< `lsusb -d 15c2:` =~ /:0038/ ;>' and with: 

=over

=item *



=back



=head2 Size

Specify the size of the display in pixels I< Optional. Type uniline.  > 

=over 4

=item upstream_default value :

96x16

=back



=head1 SEE ALSO

=over

=item *

L<cme>

=back

=cut

